package com.pcloud.book.timecontrol.mapper;


import com.pcloud.book.timecontrol.entity.TimeControlSelfPlanItem;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("selfPlanItemMapper")
public interface TimeControlSelfPlanItemMapper {

    int batchInsert(List<TimeControlSelfPlanItem> selfPlanItemList);

    int deleteByPlanId(@Param("planId")Integer planId);

    List<TimeControlSelfPlanItem> getByPlanId(@Param("planId")Integer planId);
}